scala.tools.nsc.Global

# icodeChecker

#### object icodeChecker extends icodeCheckers.ICodeChecker

Source
  Global.scala

Linear Supertypes
icodeCheckers.ICodeChecker, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. icodeChecker
2. ICodeChecker
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def check(b: icodes.BasicBlock, initial: icodes.TypeStack): icodes.TypeStack

   Check the basic block to be type correct and return the produced type stack.

   Check the basic block to be type correct and return the produced type stack.

   Definition Classes
     ICodeChecker

6. #### def check(c: icodes.Code): Unit

   Definition Classes
     ICodeChecker

7. #### def check(m: icodes.IMethod): Unit

   Definition Classes
     ICodeChecker

8. #### def check(cls: icodes.IClass): Unit

   Definition Classes
     ICodeChecker

9. #### def checkICodes(): Unit

   Definition Classes
     ICodeChecker

10. #### var clasz: icodes.IClass

    Definition Classes
      ICodeChecker

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### var code: icodes.Code

    Definition Classes
      ICodeChecker

13. #### def defaultInstrPrinter: () ⇒ String

    Definition Classes
      ICodeChecker

14. #### val emptyStack: icodes.TypeStack

    Definition Classes
      ICodeChecker

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### def icodeError(msg: String, stack: icodes.TypeStack): Unit

    Definition Classes
      ICodeChecker

21. #### def icodeError(msg: String): Unit

    Definition Classes
      ICodeChecker

22. #### val in: Map[icodes.BasicBlock, icodes.TypeStack]

    Definition Classes
      ICodeChecker

23. #### def initMaps(bs: Seq[icodes.BasicBlock]): Unit

    Definition Classes
      ICodeChecker

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def logChecker(msg: String): Unit

    A wrapper to route log messages to debug output also.

    A wrapper to route log messages to debug output also.

    Definition Classes
      ICodeChecker

26. #### def meet(bl: icodes.BasicBlock): Unit

    Apply the meet operator of the stack lattice on bl's predecessors.

    Apply the meet operator of the stack lattice on bl's predecessors. :-). Compute the input to bl by checking that all stacks have the same length, and taking the lub of types at the same positions.

    Definition Classes
      ICodeChecker

27. #### var method: icodes.IMethod

    Definition Classes
      ICodeChecker

28. #### def mkInstrPrinter(f: (Int) ⇒ String): () ⇒ String

    A couple closure creators to reduce noise in the output: when multiple items are pushed or popped, this lets us print something short and sensible for those beyond the first.

    A couple closure creators to reduce noise in the output: when multiple items are pushed or popped, this lets us print something short and sensible for those beyond the first.

    Definition Classes
      ICodeChecker

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### def notChecked(ts: icodes.TypeStack): Boolean

    The presence of emptyStack means that path has not yet been checked (and may not be empty).

    The presence of emptyStack means that path has not yet been checked (and may not be empty).

    Definition Classes
      ICodeChecker

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### val out: Map[icodes.BasicBlock, icodes.TypeStack]

    Definition Classes
      ICodeChecker

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from icodeCheckers.ICodeChecker

### Inherited from AnyRef

### Inherited from Any

### Ungrouped